[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# ShortNetToHost (deprecated)

Convert a network port number to a host port number

## Declaration

Source position: socketsh.inc line 204

`function ShortNetToHost(`
`Net: Word`
`):Word;`

## Description

ShortNetToHost converts a network port number to a host port number. It takes care of endianness of the host machine.

## Errors

None.

## See also

ShortNetToHost |  | Convert a network port number to a host port number
HostToNet |  | Convert a host address to a network address
NToHS |  | Convert short integer from network ordered to host ordered
HToNS |  | Convert short integer from host ordered to network ordered